Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
folder.php File Reference

Go to the source code of this file.

## Variables
| $top = (new eZVirtualFolder())->getIDByParent( "Contact" )
if(! $top) if( $CompanyEdit) | else
if(! $parent) | $element = new eZPerson( $item_id )
| $id = (new eZVirtualFolder())->getIDByParent( $element->name(), $parent )
| exit

## Variable Documentation

## ◆ $element

if (! $parent) $element = new eZPerson( $item_id )

Definition at line 64 of file folder.php.

Referenced by ezpRestDebugPHPFormatter\addElement(), eZWebDAVContentBackendAuth\authorize(), eZSys\createShellArgument(), eZForm\delete(), eZFormElementType\delete(), eZWebDAVContentBackend\fetchParentNodeByTranslation(), eZDir\findSubitems(), ezpRestDebugPHPFormatter\formatStackTrace(), eZForm\formElement(), eZProductPermission\getPermissionList(), ezpRestDebugPHPFormatter\getTimingsAccumulator(), eZSys\mergeArgumentElements(), eZFormRenderer\renderElement(), eZFormRenderer\renderForm(), eZQDomRenderer\renderImage(), eZFormRenderer\sendForm(), eZWebDAVContentBackend\splitFirstPathElement(), eZWebDAVContentBackendAuth\splitFirstPathElement(), eZWebDAVContentBackend\splitLastPathElement(), and eZFormRenderer\verifyForm().

## ◆ $id

$id = (new eZVirtualFolder())->getIDByParent( $element->name(), $parent )

Definition at line 66 of file folder.php.

## ◆ $top

$top = (new eZVirtualFolder())->getIDByParent( "Contact" )

Definition at line 30 of file folder.php.

## ◆ else

if (! $top) if ($CompanyEdit) else

Initial value:
{
$parent = (new eZVirtualFolder())->getIDByParent( "Person", $top )
eZVirtualFolder
Definition: ezvirtualfolder.php:43
$top
$top
Definition: folder.php:30

Definition at line 53 of file folder.php.

## ◆ exit

exit

Definition at line 81 of file folder.php.

Referenced by eZSQLite3DB\__construct(), eZGPG\__construct(), eZMySQLDB\__construct(), ezpKernelTreeMenu\__construct(), ezpbKernel\__construct(), ezpKernel\__construct(), eZMailAccount\checkMail(), eZExecution\cleanExit(), createPollMenu(), eZExecution\defaultExceptionHandler(), getArticle(), eZMailAccount\getNewMail(), eZXMLRPCServer\processRequest(), ezpContentPublishingProcess\publish(), ezpbKernelAdmin\run(), send_email(), eZFormRenderer\sendForm(), eZObjectPermission\setPermission(), and writeAtAll().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.